Mailinglist Archive: opensuse-buildservice (199 mails)

< Previous Next >
Re: [opensuse-buildservice] Potential bug?
On Sat, Jun 25, 2011 at 07:53:56AM +0100, Nelson Marques wrote:
Hi

I'm having a few issues while trying to build a Banshee package for the
Banshee Repository.

The build process fails because it fails to find a file which should be
installed by this package: dbus-sharp-glib. Now the issue is:

* The build log claims either dbus-sharp-glib and dbus-sharp-glib-devel
are installed;
* The /installed-pkg on the build chroot cage suggests both are
installed;
* Both packages are actually in the buildcache, so they are actually
being pulled;
* The devel package (which installs ok) does require the normal package
(dbus-sharp-glib, which is found not to be installed).

The build fails because dbus-sharp-glib isn't installed... a simple "rpm
-qa | grep dbus-sharp-glib" or "rpm -qa --last" shows it isn't
installed.


Some time ago I've actually successfully build this package (with
another spec), it's on the Banshee:Unstable repositories (the binaries
and .src.rpm). I've also tested with the spec from that src.rpm, but it
turns out with exactly the same error, which suggests there is most
likely a bug introduced in a recent update on OBS.

Guys any help on how to debug this further would be most welcomed as
this bug (or whatever that is) is preventing an update on Banshee in
Factory and on the Banshee:Unstable repo.

Likely this package was obsoleted by another one so it got deinstalled
after it got installed. "ndesk-dbus*" is a candidate, or dbus-1-mono.


However, everything in the Banshee:Unstable project builds from what I see
though.

Ciao, Marcus
--
To unsubscribe, e-mail: opensuse-buildservice+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-buildservice+help@xxxxxxxxxxxx

< Previous Next >
References